Inicio / Alerta Temprana / Avisos Sci / Múltiples vulnerabilidades en PEPPERL+FUCHS Comtrol RocketLinux

Múltiples vulnerabilidades en PEPPERL+FUCHS Comtrol RocketLinux

Fecha de publicación: 
08/10/2020
Importancia: 
5 - Crítica
Recursos afectados: 

P+F Comtrol RocketLinx, versiones:

  • ES7510-XT,
  • ES8509-XT,
  • ES8510-XT,
  • ES9528-XTv2,
  • ES7506,
  • ES7510,
  • ES7528,
  • ES8508,
  • ES8508F,
  • ES8510,
  • ES8510-XTE,
  • ES9528/ES9528-XT;

[Actualización 09/10/2020]

  • ICRL-M-8RJ45/4SFP-G-DIN, versiones de firmware 1.2.3 y anteriores;
  • ICRL-M-16RJ45/4CP-G-DIN, versiones de firmware 1.2.3 y anteriores.

[Actualización 09/03/2021]

  • ICRL-M-8RJ45/4SFP-G-DIN, versiones de firmware 1.3.1 y anteriores;
  • ICRL-M-16RJ45/4CP-G-DIN versiones de firmware 1.3.1 y anteriores.
Descripción: 

El investigador T. Weber de SEC Consult Vulnerability Lab, coordinado por el CERT@VDE, ha identificado múltiples vulnerabilidades en PEPPERL+FUCHS Comtrol RocketLinux que ha reportado al propio fabricante.

Solución: 

[Actualización 09/10/2020]

Para P+F Comtrol RocketLinx ES7510-XT, ES8509-XT, ES8510-XT, ES9528-XTv2, ES7506, ES7510, ES7528, ES8508, ES8508F, ES8510, ES8510-XTE, ES9528/ES9528-XT, y las versiones de ICRL-M-8RJ45/4SFP-G-DIN y de ICRL-M-16RJ45/4CP-G-DIN afectadas por CVE-2020-12502 y CVE-2020- 12503, actualmente el fabricante no ha publicado actualizaciones para solucionar estas vulnerabilidades, por lo que se requieren medidas de protección externas:

  • Un firewall debe bloquear el tráfico de redes que no son de confianza al dispositivo, especialmente el tráfico dirigido a la página web de administración.
  • El acceso de administrador y usuario debe estar protegido por una contraseña segura y solo debe estar disponible para un grupo muy limitado de personas.

Para P+F Comtrol RocketLinx en las versiones de ICRL-M-8RJ45/4SFP-G-DIN y de ICRL-M-16RJ45/4CP-G-DIN afectadas por CVE-2020-12504, actualizar la versión de firmware a 1.3.1 y desactivar TFTP-Service.

[Actualización 09/03/2021] Para P+F Comtrol RocketLinx en las versiones de ICRL-M-8RJ45/4SFP-G-DIN y de ICRL-M-16RJ45/4CP-G-DIN afectadas por CVE-2020-12502, CVE-2020- 12503 y CVE-2020-12504, actualizar la versión de firmware a 1.4.0 y desactivar TFTP-Service.

Detalle: 

Los atacantes remotos podrían explotar múltiples vulnerabilidades para obtener acceso al dispositivo, ejecutar cualquier programa y obtener información.

  • Se ha asignado el identificador CVE-2020-12500 para esta vulnerabilidad crítica de tipo autorización incorrecta.
  • Se ha asignado el identificador CVE-2020-12501 para esta vulnerabilidad crítica de tipo credenciales embebidas en el software.
  • Se ha asignado el identificador CVE-2020-12502 para esta vulnerabilidad alta de tipo CSRF (Cross-Site Request Forgery).
  • Se ha asignado el identificador CVE-2020-12503 para esta vulnerabilidad alta de tipo validación incorrecta de entrada.
  • Se ha asignado el identificador CVE-2020-12504 para esta vulnerabilidad crítica de tipo funcionalidad oculta.

Encuesta valoración